﻿using UnityEngine;
using System.Collections;
using UnityEngine.SceneManagement;

public class GameController : MonoBehaviour {
    public GameObject FireSprite;
    public int IntentosIniciales;
    private int intentos;
    ImSelectable CurrentObject;
    void TapSelect()
    {
        foreach (Touch touch in Input.touches)
        {
            if (touch.phase == TouchPhase.Began)
            {
                RaycastHit2D hit = Physics2D.Raycast(Camera.main.ScreenToWorldPoint(Input.mousePosition), Vector2.zero);
                if (hit.collider != null)
                {
                    Debug.Log("Activando trampa: " + hit.collider.gameObject.transform.position);
                    hit.collider.SendMessage("Selected");
                    ImSelectable SelectedGameObject  = hit.collider.transform.GetComponent<ImSelectable>();
                    Debug.Log("la trampa seleccionada es " + SelectedGameObject);
                    CurrentObject = SelectedGameObject;
                }
                if (CurrentObject)
                {
                    CurrentObject.DoRotate();
                }
            }
            else if (CurrentObject)
            {
                CurrentObject.DoRotate();
            }
        }
    }

    // Use this for initialization
    void Start () {
        Debug.Log("la cacería a comenzado!!!");
	}

    void ResetIfNotTouched()
    {
        if (Input.touchCount == 0 && CurrentObject != null)
        {
            CurrentObject.UnSelect();
            CurrentObject = null;
        }
    }

    // Update is called once per frame
    void Update () {
        ResetIfNotTouched();
        TapSelect();
    }

    public void DidHitShip()
    {
        Debug.Log("Nice!!! now got your meal little puppy!!!");
    }

    public void MinusOneShoot()
    {
        Debug.Log("un tiro menos");
        intentos -= 1;
    }

    public void GameOverOK()
    {
        Debug.Log("Los aliens comen con chimpachole!!!");
    }

    public void GameOverKO()
    {
        Debug.Log("No hubo comida!!!");
    }

    public void ResetIntentos()
    {
        intentos = IntentosIniciales;
    }
    public int GetIntentos()
    {
        return intentos;
    }


    public void GoMenu()
    {
        SceneManager.LoadScene("MenuInicial");
    }
}

