﻿using System.Collections;
using System.Collections.Generic;
using UnityEngine;

public class ShootNow : MonoBehaviour {
    ImSelectable[] lista;
    int intentos;
    GameController gc;

    // Use this for initialization
    void Start () {
        lista = FindObjectsOfType<ImSelectable>();
        gc = FindObjectOfType<GameController>();
        gc.ResetIntentos();
        intentos = gc.GetIntentos();
    }
	
	public void SendNow()
    {
        foreach(ImSelectable item in lista)
        {
            if(item.hitIndex == 0)
            {
                item.ShotNow();
                gc.MinusOneShoot();
                if (gc.GetIntentos() == 0)
                {
                    Destroy(gameObject);
                }
                break;
            }
        }
    }
}
