﻿using UnityEngine;
using System.Collections;

public class ImSelectable : MonoBehaviour {
    private const int grades = 120;
    private const int addedForce = 150;
    bool ImSelected;
    Vector3 posInicial;
    public int hitIndex;

    public GameObject FireSprite;

    // Use this for initialization
    void Start () {
	}
	
	// Update is called once per frame
	void Update () {
        if (ImSelected)
        {
            // Debug.Log("acutal: " + Camera.main.ScreenToWorldPoint(Input.mousePosition));
        }
	}

    public void Selected()
    {
        Debug.Log("IM selected in some way or other");
        ImSelected = true;
        posInicial = Camera.main.ScreenToWorldPoint(Input.mousePosition);
        Debug.Log("la posicion inicial es" + posInicial);
    }

    public void UnSelect()
    {
        Debug.Log("Im unselected now!!!!");
        ImSelected = false;
    }

    public void DoRotate()
    {
        const float distance = 0.27f;
        Vector3 current = Camera.main.ScreenToWorldPoint(Input.mousePosition);
        Vector3 dif = posInicial - current;
        if(dif.y > distance)
        {
            RotateClockwise();
        }else if(dif.y < -distance)
        {
            RotateCounterClockwise();
        }
    }

    public void RotateClockwise()
    {
        Debug.Log("rotando a la derecha");
        transform.Rotate(0, 0, grades * Time.deltaTime);
    }

    public void RotateCounterClockwise()
    {
        Debug.Log("rotando a la derecha");
        transform.Rotate(0, 0, -grades * Time.deltaTime);
    }

    public void OnCollisionEnter2D(Collision2D collision)
    {
        Debug.LogError("colisiono algo con esto "+GetComponent<Collider>());
    }

    private void OnTriggerEnter2D(Collider2D collision)
    {
        Debug.LogWarning("trigger " + collision);
        if (!collision.name.Contains("Voyager"))
        {
            ShotNow();
        }
    }

    public void ShotNow()
    {
        AudioSource waveSound = GetComponent<AudioSource>();
        waveSound.Play();
        StartCoroutine(ShotNowCoroutine());
    }

    public IEnumerator ShotNowCoroutine()
    {
        yield return new WaitForSeconds(0.15f);
        Transform t = GetComponent<Transform>();
        Transform ct = t.FindChild("signal");
        GameObject bullet = (GameObject)Instantiate(FireSprite, ct.position, t.rotation);
        Rigidbody2D rb2d = bullet.GetComponent<Rigidbody2D>();
        rb2d.AddForce(new Vector2(t.right.x * addedForce, t.right.y * addedForce));
    }
}
